// Déclaration des constantes et variables

const int PinTone = 3;
const int PinButton = 12;
const int FreqWave = 440;

int ValButton=0;


// Initialisation des entrées et sorties

void setup() { 
  pinMode (PinButton, INPUT);
}


// Fonction principale en boucle

void loop() { 
  ValButton = digitalRead(PinButton);
  delay(10);
  if (ValButton == HIGH) {
    tone(PinTone, FreqWave);
  }
  else {
    noTone(PinTone);
  }
}
